"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const React = tslib_1.__importStar(require("react"));
const react_native_1 = require("react-native");
const react_native_rounded_checkbox_1 = require("react-native-rounded-checkbox");
const useStateWithCallback_1 = tslib_1.__importDefault(require("./helpers/useStateWithCallback"));
/**
 * ? Local Imports
 */
const RoundedCheckboxGroup_style_1 = tslib_1.__importDefault(require("./RoundedCheckboxGroup.style"));
const RoundedCheckboxGroup = ({ style, data, initial, children, component, onChange, }) => {
    const [selectedItem, setSelectedItem] = useStateWithCallback_1.default(undefined);
    const handleItemPress = (item) => {
        setSelectedItem(item, (newItem) => onChange && onChange(newItem));
    };
    return (<react_native_1.View style={[RoundedCheckboxGroup_style_1.default.container, style]}>
      {data &&
        data.map((item) => {
            const isActive = item.id === (selectedItem ? selectedItem?.id : initial);
            return (<react_native_rounded_checkbox_1.PureRoundedCheckbox {...item} key={item.id} active={isActive} onPress={() => handleItemPress(item)}>
              {component ? component(isActive) : children}
            </react_native_rounded_checkbox_1.PureRoundedCheckbox>);
        })}
    </react_native_1.View>);
};
exports.default = RoundedCheckboxGroup;
//# sourceMappingURL=RoundedCheckboxGroup.js.map